html, button, select, input {
  font-size: 16px;
}

@media screen and (min-width: 320px) {
  html, button, select, input {
    font-size: calc(16px + 6 * ((100vw - 320px) / (1000 - 320)));
  }
}

@media screen and (min-width: 1000px) {
  html, button, select, input {
    font-size: 22px;
  }
}

label {
  min-width: 6vw;
  display: inline-block;
}

span {
  margin: 0.5vw;
}
